Loading...
Searching...
No Matches
laset: set matrix
LAPACK » BLAS-like » Initialize, copy, convert
Collaboration diagram for laset: set matrix:

## Functions

subroutine | claset (uplo, m, n, alpha, beta, a, lda)
| CLASET initializes the off-diagonal elements and the diagonal elements of a matrix to given values.
subroutine | dlaset (uplo, m, n, alpha, beta, a, lda)
| DLASET initializes the off-diagonal elements and the diagonal elements of a matrix to given values.
subroutine | slaset (uplo, m, n, alpha, beta, a, lda)
| SLASET initializes the off-diagonal elements and the diagonal elements of a matrix to given values.
subroutine | zlaset (uplo, m, n, alpha, beta, a, lda)
| ZLASET initializes the off-diagonal elements and the diagonal elements of a matrix to given values.

## Detailed Description